"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.removeCleanedFile = exports.jsonCommentRemover = void 0;
var fs_1 = __importDefault(require("fs"));
var path_1 = __importDefault(require("path"));
// Given string with comment, this returns string with comments removed.
var removeCommentsFromString = function (contentString) {
    var regex = /\/\*[\s\S]*?\*\/|([^\\:]|^)\/\/.*$/gm;
    return contentString.replace(regex, '');
};
function jsonCommentRemover(fileName) {
    // Read the file
    var jsonWithComments = "";
    try {
        jsonWithComments = fs_1.default.readFileSync(fileName, { encoding: 'utf8', flag: 'r' });
    }
    catch (error) {
        console.error("Error reading JSON file", error);
        return undefined;
    }
    // Remove comments
    var jsonClean = removeCommentsFromString(jsonWithComments);
    var cleanFileName = path_1.default.dirname(fileName) + "/_clean.json";
    // Write result to new file
    try {
        fs_1.default.writeFileSync(cleanFileName, jsonClean);
    }
    catch (error) {
        console.error("Error writing cleaned JSON", error);
        return undefined;
    }
    return cleanFileName;
}
exports.jsonCommentRemover = jsonCommentRemover;
function removeCleanedFile(cleanFileName) {
    try {
        // Delete the file
        fs_1.default.unlinkSync(cleanFileName);
    }
    catch (error) {
        console.error("Error while deleting file ".concat(cleanFileName, ": "), error);
    }
}
exports.removeCleanedFile = removeCleanedFile;
//# sourceMappingURL=json-comment-remover.js.map